Bug 15116 - show circ buttons at the top of batch circ page
Summary: show circ buttons at the top of batch circ page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11759
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 21:05 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15116: Show menu at the top of batch circ page (1.92 KB, patch)
2015-11-05 16:28 UTC, Martin Stenberg
Details | Diff | Splinter Review
Bug 15116: Show menu at the top of batch circ page (2.30 KB, patch)
2015-11-10 15:09 UTC, Martin Stenberg
Details | Diff | Splinter Review
Bug 15116: Show menu at the top of batch circ page (2.42 KB, patch)
2015-11-10 16:36 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15116: Show menu at the top of batch circ page (1.91 KB, patch)
2015-11-11 10:01 UTC, Martin Stenberg
Details | Diff | Splinter Review
Bug 15116: Show menu at the top of batch circ page (1.96 KB, patch)
2015-11-11 11:39 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15116: Show menu at the top of batch circ page (2.03 KB, patch)
2015-11-11 13:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-11-03 21:05:45 UTC
The new batch circulation page should have the usual buttons at the top.  From those the librarian can print the receipt for the checkouts and perform other functions.
Comment 1 Martin Stenberg 2015-11-05 16:28:20 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-11-10 09:35:02 UTC
> This patch adds the user interaction menu to the top of the batch checkout
> page,
> places focus on the barcode text field and adds a discrete shortcut link for
> printing receipts.

OK for top menu which is very useful, but I don't understand the bottom link usage. It's confusing. Could you explain?

When you arrive on the Batch checkout page, the link is there while you haven't yet done any checkout. The link won't work. You do some checkouts. You arrive on a page displaying the checkout items. The link isn't there anymore, but the top menu is there if you want to print a receipt. You can go back to the batch checkout page. Then the shortcut link works, but it seems disconnected from the previously done batch checkout...
Comment 3 Martin Stenberg 2015-11-10 09:53:19 UTC
If you are in single item checkout, you can press enter in the barcode textbox to print a receipt. In batch checkout, this is not possible due to the nature of the textarea (which when pressing enter will add a newline).

Having the link there makes it possible to print a receipt by pressing tab twice, followed by enter, instead of having to grab the mouse and click your way through the menu to the "print slip"-link. So it is there to improve the workflow.

An alternative could be to hide the link, but still allow for the dubble-tab-enter key combo. I tried this during development, but found it a bit confusing since there was no way to see that this was possible, the shortcut link makes it more intuitive.
Comment 4 Frédéric Demians 2015-11-10 10:52:41 UTC
(In reply to Martin Stenberg from comment #3)
> If you are in single item checkout, you can press enter in the barcode
> textbox to print a receipt. In batch checkout, this is not possible due to
> the nature of the textarea (which when pressing enter will add a newline).
> 
> Having the link there makes it possible to print a receipt by pressing tab
> twice, followed by enter, instead of having to grab the mouse and click your
> way through the menu to the "print slip"-link. So it is there to improve the
> workflow.

For me, the quick 'Print slip' link should be displayed on the checkout summary page (the one displayed after clicking 'Check out' button), not on the initial 'Batch checkout' page. Otherwise this gives the impression that the barcode you're entering in the 'Barcode list' textarea will be present in the receipt.
Comment 5 Martin Stenberg 2015-11-10 15:09:15 UTC Comment hidden (obsolete)
Comment 6 Martin Stenberg 2015-11-10 15:11:58 UTC
I agree Frédéric, that makes more sense. I have moved the link to the summary page, and also added an auto-focus to the "Checkout or renew"-button on the confirmation-page, so that you can just hit enter to continue the process.
Comment 7 Frédéric Demians 2015-11-10 16:36:48 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2015-11-11 08:33:30 UTC
The print slip link is not put at the right place.
For instance if the patron is restricted, you will see the link at the confirmation step.
Since this action is easily accessible from the menu, I am not sure it's consistent to display it again there.
Comment 9 Frédéric Demians 2015-11-11 09:44:03 UTC
Martin, you may limit your patch to the scope of this bug as stated by its title: show circ buttons at the top of batch circ page. And then, open another bug report to propose a way to improve the workflow regarding printing receipt.
Comment 10 Martin Stenberg 2015-11-11 10:01:43 UTC Comment hidden (obsolete)
Comment 11 Frédéric Demians 2015-11-11 11:39:24 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2015-11-11 13:13:05 UTC
Created attachment 44755 [details] [review]
Bug 15116: Show menu at the top of batch circ page

This patch adds the user interaction menu to the top of the batch
checkout page.

Signed-off-by: Frederic Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Tomás Cohen Arazi 2015-11-16 15:58:14 UTC
Patch pushed to master.

Thanks Martin!